#!/bin/bash

scanFileForRandomPasswordKeysUsers()
{
    local file="$1"

    if [ -f "$file" ]; then
        replacePlainPasswords "$file"
        replaceRandomUsernames "$file"
        replaceBcryptPasswords "$file"
        replaceHexKeys "$file"
        replaceVAPIDKeys "$file"
        replaceLaravelAppKeys "$file"
    fi
}
